/**
 * Get the blog posts with AJAX
 */
function getPosts(url, outputSpace) {
	var output = $(outputSpace);
	output.html("<li>Loading...</li>").listview("refresh");
	$.ajax({
		url : url,
		dataType : 'json',
		async : true,
		cache : false,
		timeout : 15000,
		success : function(data, status) {
			output.html("");
			listdata = '';
			$.each(data.posts, function(i, item) {
				//alert(JSON.stringify(this));
				listdata += '<li class="wraptext">';
	            listdata += '<a href="#" onclick="window.open(\''+this.post.url+'\', \'_system\');" class="wraptext">'+this.post.title;
	            listdata += '<br /><span class="social-created">' + this.post.date + '</span></a>';
				listdata += '</li>';
			});
			output.append(listdata).listview("refresh");
		},
		error : function() {
			output.html("");
			output.append('<li>There was an error loading this content. Please check your Internet connection.  It is required to view this page.  If you continue to have problems please email webmaster@acton.org.</li>')
				.listview("refresh");
			bindRefresh('#blog');
		}
	});
}