function onBodyLoad() {
	//document.addEventListener("deviceready", onDeviceReady, false);
	$(window).bind('orientationchange', function(e) {
		if (jQuery.event.special.orientationchange
				.orientation() == 'landscape') {
			var orientation = "landscape";
			$("body").addClass("landscape");
			$("body").removeClass("portrait");
		} else {
			var orientation = "portrait";
			$("body").addClass("portrait");
			$("body").removeClass("landscape");
		}
	});
}

window.onresize = function(){
	resizeVideo();
}

function resizeVideo() {
	var videoWidth = $(window).width() - 30;
	var videoHeight = videoWidth * 9 / 16;
	$('.promovideo').width(videoWidth);
	$('.promovideo').height(videoHeight);
	$('.promo').trigger('create');
}

/**
 * Video Page Javascript
 */
$(document).on('pageshow', '#promo', function(event) {
	var output = $('#promocontent');
	resizeVideo();
	$('#promocontent').trigger('create');
});

/**
 * Faculty Page Javascript
 */
$(document).on('pagecreate', '#faculty', function(event) {
	getFacultyList('http://university.acton.org/2015faculty_list.json',
		'.output-faculty', '#faculty');
});
$(document).on('pagecreate', '#faculty-featured', function(event) {
	getFacultyList('http://university.acton.org/2015faculty_list-featured.json',
		'.output-featuredfaculty', '#faculty-featured');
});
$(document).on('pageshow', '#faculty-person', function(event) {
	getFacultyPerson();
});

/**
 * Schedule Page Javascript
 */

$(document).on('pagecreate', '#schedule-day1', function(event) {
	getDayList('http://university.acton.org/2015schedule_d1.json',
		'.schedule-day1-output', '#schedule-day1');
});
$(document).on('pagecreate', '#schedule-day2', function(event) {
	getDayList('http://university.acton.org/2015schedule_d2.json',
		'.schedule-day2-output', '#schedule-day2');
});
$(document).on('pagecreate', '#schedule-day3', function(event) {
	getDayList('http://university.acton.org/2015schedule_d3.json',
		'.schedule-day3-output', '#schedule-day3');
});
$(document).on('pagecreate', '#schedule-day4', function(event) {
	getDayList('http://university.acton.org/2015schedule_d4.json',
		'.schedule-day4-output', '#schedule-day4');
});
$(document).on('pageshow', '#schedule-course', function(event) {
	getScheduleCourse();
});

/**
 * Buzz Page Javascript
 */
$(document).on('pageshow', '#blog', function(event) {
	getPosts('http://blog.acton.org/wp-content/themes/actoninstitute2014/au_json.php',
		'.blog-list-output');
});
$(document).on('pageshow', '#blog-post', function(event) {
	getBlogPost();
});

/**
 * Announcements Page Javascript
 */
$(document).on('pageshow', '#announcements', function(event) {
	getAnnouncements('http://university.acton.org/announcements.json',
		'.announcements-output');
});
$(document).on('pageshow', '#single-announcement', function(event) {
	getSingleAnnouncement();
});