/**
 * Get the announcements with AJAX
 */
function getAnnouncements(url, outputSpace) {
	var output = $(outputSpace);
	output.html("<li>Loading...</li>").listview("refresh");
	$.ajax({
		url : url,
		dataType : 'json',
		async : true,
		cache : false,
		timeout : 15000,
		success : function(data, status) {
			output.html("");
			listdata = '';
			$.each(data.posts, function(i, item) {
				// alert(JSON.stringify(this));
				listdata += '<li class="wraptext">';
				listdata += '<a href="#single-announcement?id='
					+ this.post.nid
					+ '" onClick="sessionStorage.anid='
					+ this.post.nid + '" class="wraptext">'
					+ this.post.title;
				listdata += '<br /><span class="social-created">'
					+ this.post.date + '</span></a>';
				listdata += '</li>';
			});
			output.append(listdata).listview("refresh");
		},
		error : function() {
			output.html("");
			output.append(
				'<li>There was an error loading this content. Please check your Internet connection.  It is required to view this page.  If you continue to have problems please email webmaster@acton.org.</li>')
					.listview("refresh");
			bindRefresh('#announcements');
		}
	});
}

function getSingleAnnouncement() {
	var nid = sessionStorage.getItem('anid');
	var output = $('.singleannouncementoutput');
	output.html("<p>Loading...</p>");
	
	$.ajax({
		url : 'http://university.acton.org/node/' + nid	+ '/announcement.json',
		dataType : 'json',
		async : true,
		cache : false,
		timeout : 15000,
		success : function(data, status) {
			output.html("");
			listData = '';
			$.each(data.posts, function(i, item) {
				//alert(JSON.stringify(this.person.title_1));
				listData += '<h3>' + this.post.title + '</h3>';
				listData += '<p class="social-created">'
					+ this.post.date + '</p>';
				listData += '<p>' + this.post.body + '</p>';
			});
			output.append(listData);
			$('.singleannouncementoutput a').attr("target", "_blank");
		},
		error : function() {
			output.html('<p>There was an error loading this content. Please check your Internet connection.  It is required to view this page.</p>');
		}
	});
}